ZCKDL(1)

NAME
zckdl - download a zchunk file

SYNOPSIS
zckdl [--fail-no-ranges] [-q | --quiet] [-s file | --source=file] [-v | --verbose] url
zckdl? | --help | --usage | --version

DESCRIPTION
The zckdl utility attempts to download a zchunk file in an optimized way, taking into consideration the chunked structure.

The zckdl utility accepts the following optional arguments:

--fail-no-ranges
    If the server does not support ranges, fail instead of downloading the whole file.

-q | --quiet
    Quiet operation; only display warning and error messages. If specified twice, only display error messages.

-s | --source
    Specify the file to use as a source with the premise that most of the chunks in the downloaded file will be the same.

-v, --verbose
    Verbose operation; display some diagnostic output.

?, --help
    Display program usage information and exit.

--usage
    Display brief program usage information and exit.

--version
    Display program version information and exit.

EXIT STATUS

EXAMPLES
Download a zchunk file that is hopefully not much different from the previous version:

    zckdl -s doc1.txt.zck https://example.com/doc2.txt.zck

SEE ALSO
unzck(1), zck(1), zck_delta_size(1), zck_gen_zdict(1), zck_read_header(1)

AUTHOR
The zckdl utility was written by Jonathan Dieter <jdieter@gmail.com>. This manual page stub was written by Peter Pentchev <roam@ringlet.net>.